using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using static APT.MS.Domain.Enums.BI.BIEnums;

namespace APT.MS.Domain.Entities.BI
{
    /// <summary>
    /// 班组安全检查完成率分析
    /// </summary>
    [Description("班组安全检查完成率分析")]
    public class T_BI_BSSAFECHECK : MesEntityBase
    {
        /// <summary>
        /// 时间类型
        /// </summary>
        [Description("时间类型")]
        public FilterTimeType TimeType { get; set; }

        /// <summary>
        /// 生产单元类型
        /// </summary>
        [Description("生产单元类型")]
        public BSMineTypeEditEnum MineType { get; set; }

        /// <summary>
        /// 班组ID
        /// </summary>
        [Description("班组ID")]
        public Guid TEAMID { get; set; }

        /// <summary>
        /// 班组名称
        /// </summary>
        [Description("班组名称")]
        public string TEAMNAME { get; set; }

        /// <summary>
        /// 计划检查数
        /// </summary>
        [Description("计划检查数")]
        public int COUNTPLAN { get; set; }

        /// <summary>
        /// 实际检查数
        /// </summary>
        [Description("实际检查数")]
        public int COUNTCHECK { get; set; }

        /// <summary>
        /// 检查数（超时完成）
        /// </summary>
        [Description("检查数")]
        public int COUNTCHECKOUTTIME { get; set; }

        /// <summary>
        /// 完成率（带百分号）
        /// </summary>
        [Description("完成率")]
        public string PERCENTCHECK { get; set; }
    }
}